> ## Documentation Index
> Fetch the complete documentation index at: https://docs.busha.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve details of a specific currency

> Fetches detailed information about a specific currency using its unique code. This includes details such as network support, decimal precision, and transaction limits.




## OpenAPI

````yaml https://raw.githubusercontent.com/bushaHQ/openapi/refs/heads/main/openapi-spec.yaml get /v1/currencies/{code}
openapi: 3.0.0
info:
  title: Busha API
  contact:
    email: developers@busha.co
  description: >
    ## Introduction

    The **Busha API** is designed to provide businesses with tools for
    borderless financial transactions and operations, enabling modern, global
    money management. It serves as the backbone for facilitating:

    - Creation and management of multi-currency balances

    - Retrieval of real-time cryptocurrency rates

    - Substantial data insights for business owners


    Whether you’re a product-driven fintech or a developer building
    integrations, this API significantly accelerates implementation while
    reducing financial complexities.

    For detailed guides on API integration, visit our [official
    documentation]().



    ## Authentication

    All API requests require a **Bearer Token** for authentication, passed in
    the `Authorization` header.

    Your authorization value is a base64 encoded value of your api key and your
    secret key.

    You can obtain API tokens via your Busha user or business account.
    Authentication is mandatory to ensure secure and authorized interactions
    with the API.

    The API keys from the dashboard provides a base64 encoding of the your
    authorization tokens.


    Your generated Key should look like this:

    `VURtNXhWcHueantkpaiewjo0S044MWsadfojienuoxRTiWDJaeWJaTGxxanZ3Ym10OU1RZnVWajVW=`


    Example Header:

    ``` curl

    Authorization: Bearer
    VURtNXhWcHueantkpaiewjo0S044MWsadfojienuoxRTiWDJaeWJaTGxxanZ3Ym10OU1RZnVWajVW=

    ```


    ## Error Handling

    #Standardized error responses ensure predictable interactions. Errors are
    detailed for easy debugging and understanding:

    | **Error Code** | **HTTP Status Code** | **Description** |

    | --- | --- | --- |

    | `bad_request` | 400 | Invalid input or malformed request |

    | `unauthorized` | 401 | Invalid or missing authentication |

    | `not_found` | 404 | Resource not found |

    | `service_unavailable` | 503 | Server error |


    Basic Error Example:

    ``` json

    {
      "error": {
        "name": "bad_request",
        "message": "Invalid input data"
      }
    }

    ```


    Schema Error Body Example:

    ``` json

    {
      "error": {
        "name": "bad_request",
        "message": "Invalid input data"
      },
      "schema": {
        "reason": "The request body is defined as an object. However, it does not meet the schema requirements of the specification",
        "fix": "Ensure that the object being submitted, matches the schema correctly"
      }
    }

    ```


    Field Error Body Example:

    ``` json

    {
      "error": {
        "name": "bad_request",
        "message": "Invalid input data"
      },
      "fields": {
        "field1": [
          {
            "reason": "The request body is defined as an object. However, it does not meet the schema requirements of the specification",
          },
        ],
        "field2": [
          {
            "reason": "The request body is defined as an object. However, it does not meet the schema requirements of the specification",
          }
        ],
      }
    }

    ```


    ## Pagination

    Pagination uses cursors provided as:

    The API supports **cursor-based pagination** for endpoints with large
    datasets. Pagination uses a `next_cursor` and `previous_cursor` returned in
    the response.

    Example Response Format:

    ``` json

    {
      "current_entries_size": 10,
      "next_cursor": "base64_cursor_value",
      "previous_cursor": "base64_previous_cursor_value"
    }

    ```


    ## Rate Limiting

    Rate limits determine how many API calls can be made in a rolling minute.
    This ensures fair and optimized use of system resources.


    The rate limits allowed by each resource will be provided with the header:

    ```curl

    x-rate-limit 100

    ```

    If this header does not exist, then the rate limit is set at a default 100
    req/min


    Requests exceeding the allocated quota will receive a `429 Too Many
    Requests` response.


    ##  Common Parameters

    Common parameters enhance consistency across endpoints:
      | **Parameter Name** | **Location** | **Description** | **Example** |
      | --- | --- | --- | --- |
      | `X-BU-PROFILE-ID` | Header | User profile identifier | `BUS_qwejinoiuiqw93ejjw` |
      | `id` | Path | Unique NanoID identifier | `dpt_jweqafajsndiun34fd` |
      | `cursor` | Query | Pagination cursor | `base64_cursor_string` |

    #### Paginated Response Example
      ``` json
      {
        "status": "success",
        "message": "Data retrieved",
        "pagination": {
          "next_cursor": "value_for_next_page",
          "current_entries_size": 20
        },
        "data": [...]
      }
      ```
  version: 1.0.0
servers:
  - url: https://api.sandbox.busha.so
    description: Sandbox Environment
  - url: https://api.busha.io
    description: Production Environment
security: []
tags:
  - name: Balances
    description: Handles account balances across different currencies.
    x-displayName: Balances
  - name: Bills
    description: Lorem Ipsum
    x-displayName: Bills
  - name: Cards
    description: Lorem Ipsum
    x-displayName: Cards
  - name: Cashback
    description: Main tag for cashback service endpoints
    x-displayName: Cashback
  - name: Currencies
    description: >
      Endpoints to manage supported currencies, their properties, and network
      details.
    x-displayName: Currencies
  - name: Customers
    x-internal: false
    description: Handle customer requests and responses
    x-displayName: Customers
  - name: Files
    description: Provides APIs to handle files upload
    x-displayName: Files
  - name: Mandate
    x-displayName: Mandate
  - name: Miscellaneous
    description: Provides auxiliary APIs to complement and enhance other services.
    x-displayName: Miscellaneous
  - name: News
    description: News article endpoints
    x-displayName: News
  - name: Pairs
    description: Access trading pair information and rates
    x-displayName: Pairs
  - name: PaymentLinks
    description: Payment Links
    x-displayName: PaymentLinks
  - name: PaymentRequests
    description: Payment request
    x-displayName: PaymentRequests
  - name: Pledges
    description: Customer-authorized pledge lifecycle APIs
    x-displayName: Pledges
  - name: PriceAlerts
    description: Price alert management endpoints
    x-displayName: PriceAlerts
  - name: Quotes
    description: Handle quotes requests and responses
    x-displayName: Quotes
  - name: Recipients
    x-displayName: Recipients
  - name: Transactions
    x-displayName: Transactions
  - name: Transfers
    x-displayName: Transfers
  - name: Widget
    description: Widget operations
    x-displayName: Widget
paths:
  /v1/currencies/{code}:
    get:
      tags:
        - Currencies
      summary: Retrieve details of a specific currency
      description: >
        Fetches detailed information about a specific currency using its unique
        code. This includes details such as network support, decimal precision,
        and transaction limits.
      operationId: getCurrency
      parameters:
        - $ref: '#/components/parameters/CurrencyCodePathParam'
        - $ref: '#/components/parameters/ProfileHeader'
      responses:
        '200':
          description: Details of the requested currency.
          content:
            application/json:
              schema:
                required:
                  - data
                allOf:
                  - $ref: '#/components/schemas/BaseSchema'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/Currencies'
        4XX:
          $ref: '#/components/responses/CurrenciesError4XX'
        5XX:
          $ref: '#/components/responses/CurrenciesError5XX'
      security:
        - AuthOptional: []
components:
  parameters:
    CurrencyCodePathParam:
      name: code
      in: path
      required: true
      description: The currency path parameter
      schema:
        type: string
        example: BTC
        x-go-type: string
    ProfileHeader:
      in: header
      name: X-BU-PROFILE-ID
      required: false
      description: User profile header
      schema:
        type: string
        example: BUS_YOK8tp5Zga01qOKEsqp07
  schemas:
    BaseSchema:
      description: General response Values
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          x-order: 1
          x-go-type: string
          enum:
            - success
            - error
          example: success
        message:
          type: string
          x-order: 2
          example: message for success
    Currencies:
      type: object
      required:
        - name
        - code
        - decimals
        - display_name
        - type
        - is_ramp_buy_supported
        - is_ramp_sell_supported
        - precision
        - default_network
        - supported_networks
        - withdrawal
        - deposit
      properties:
        code:
          allOf:
            - $ref: '#/components/schemas/Currency'
          x-order: 1
        description:
          type: string
          description: Extra information about the currency
        name:
          type: string
          x-order: 5
          example: Bitcoin
          description: The official name of the cryptocurrency.
        display_name:
          type: string
          x-order: 6
          example: Bitcoin (BTC)
          description: The formatted display name of the cryptocurrency.
        type:
          type: string
          x-order: 7
          enum:
            - fiat
            - crypto
            - stablecoin
          description: Indicates whether the cryptocurrency is a stablecoin.
        decimals:
          type: string
          x-order: 8
          example: '8'
          description: >
            The number of decimal places supported by the blockchain. Defines
            how the currency value is divided.
        default_network:
          type: string
          x-order: 9
          description: The identifier of the default network for this currency.
          example: ethereum
        deposit:
          type: boolean
          x-order: 10
          description: Indicates if deposits are supported for this currency.
        icon:
          allOf:
            - $ref: '#/components/schemas/UrlField'
          x-order: 11
        withdrawal:
          type: boolean
          x-order: 12
          description: Indicates if withdrawals are supported for this currency.
        precision:
          type: string
          x-order: 13
          example: '8'
          description: >
            The level of precision supported by this service. This may differ
            from blockchain-level precision in some cases.
        supported_networks:
          type: array
          x-order: 14
          description: >-
            A list of networks supported by the currency, including details for
            each.
          items:
            $ref: '#/components/schemas/Network'
        is_ramp_sell_supported:
          type: boolean
          x-order: 15
          description: Indicates if ramp sell is supported for this currency.
          example: true
        is_ramp_buy_supported:
          type: boolean
          x-order: 16
          description: Indicates if ramp buy is supported for this currency.
          example: true
        maximum_ramp_buy:
          type: string
          x-order: 17
          description: >-
            The maximum amount that can be purchased through the ramp process
            for this currency.
          example: '1000'
        maximum_ramp_sell:
          type: string
          x-order: 18
          description: >-
            The maximum amount that can be sold through the ramp process for
            this currency.
          example: '1000'
    Currency:
      type: string
      x-order: 20
      example: BTC
      format: string
      maxLength: 10
      minLength: 1
      description: A valid currency
      x-oapi-codegen-extra-tags:
        validate: required|min_len:1|max_len:10
        filter: trim|upper
    UrlField:
      type: string
      example: https://example.com
      format: url
      description: A valid url
      x-oapi-codegen-extra-tags:
        validate: required|url
    Network:
      type: object
      required:
        - id
        - name
        - status
        - deposit
        - withdrawal
      properties:
        id:
          type: string
          x-order: 1
          example: ethereum
          description: The unique identifier for the blockchain network.
        name:
          type: string
          example: Ethereum
          description: The descriptive name of the network.
        status:
          type: string
          example: active
          description: The current operational status of the network.
        withdrawal:
          type: boolean
          description: Indicates if withdrawals are supported for this network.
        deposit:
          type: boolean
          description: Indicates if deposits are supported for this network.
        transaction_link:
          $ref: '#/components/schemas/UrlField'
        address_link:
          $ref: '#/components/schemas/UrlField'
        max_withdrawal_amount:
          type: string
          example: '100.00'
          description: Maximum withdrawal amount for this network in the currency.
        min_withdrawal_amount:
          type: string
          example: '0.01'
          description: Minimum withdrawal amount for this network in the currency.
        min_deposit_amount:
          type: string
          example: '0.001'
          description: Minimum deposit amount for this network in the currency.
        confirmations_required:
          type: string
          example: '12'
          description: Number of confirmations required for deposits to be recognized.
        network:
          type: string
          example: ETH
          description: The blockchain network for the currency.
        withdrawal_fee:
          type: string
          example: '0.0001'
          description: The withdrawal fee for the network in the currency.
        address_regex:
          $ref: '#/components/schemas/AddressRegexField'
        testnet_address_regex:
          $ref: '#/components/schemas/AddressRegexField'
        contract_address:
          type: string
          example: '0xdac17f958d2ee523a2206206994597c13d831ec7'
          description: The contract address for tokens on this network.
        is_ramp_sell_supported:
          type: boolean
          description: Indicates if ramp sell is supported for this currency.
          example: true
        is_ramp_buy_supported:
          type: boolean
          description: Indicates if ramp buy is supported for this currency.
          example: true
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - name
            - message
          properties:
            name:
              type: string
              x-order: 40
              example: bad_request
            message:
              type: string
              example: Invalid Request
        fields:
          type: object
        schema:
          type: array
          items:
            type: object
      example:
        error:
          name: bad_request
          message: Invalid Request
    AddressRegexField:
      type: string
      example: ^0x[a-fA-F0-9]{40}$
      format: address
      x-oapi-codegen-extra-tags:
        validate: required|regex
  responses:
    CurrenciesError4XX:
      description: Error from customer resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            default:
              $ref: '#/components/examples/DefaultError'
            not_found_error:
              $ref: '#/components/examples/NotFoundError'
            unauthorized_error:
              $ref: '#/components/examples/UnAuthorizedError'
            request_validation_error:
              $ref: '#/components/examples/RequestValidationError'
            schema_validation_error:
              $ref: '#/components/examples/SchemaValidationError'
    CurrenciesError5XX:
      description: Server error when processing the currencies request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            internal_server_error:
              $ref: '#/components/examples/InternalServerError'
            service_unavailable_error:
              $ref: '#/components/examples/ServiceUnavailableError'
  examples:
    DefaultError:
      description: Default error
      value:
        error:
          name: bad_request
          message: Invalid request
    NotFoundError:
      description: Not Found error
      value:
        error:
          name: resource_not_found
          message: Resource Not Found
    UnAuthorizedError:
      description: Unauthorized Error
      value:
        error:
          name: unauthorized
          message: Unauthorized request
    RequestValidationError:
      description: Request Validation error example
      value:
        error:
          name: request_validation
          message: Validation error
        fields:
          field1:
            - reason: One of target and source amount must be set
          field2:
            - reason: One of target and source amount must be set
    SchemaValidationError:
      description: Schema validation error example
      value:
        error:
          name: schema_validation
          message: Error Validating Requests
        schema:
          - reason: >-
              The request body is defined as an object. However, it does not
              meet the schema requirements of the specification
            fix: >-
              Ensure that the object being submitted, matches the schema
              correctly
            schema_validation_error:
              - 'minLength: got 3, want 12'
    InternalServerError:
      description: Internal Server Error
      value:
        error:
          name: internal_server_error
          message: Internal Server Error
    ServiceUnavailableError:
      description: Service Unavailable Error
      value:
        error:
          name: service_unavailable
          message: Service Unavailable
  securitySchemes:
    AuthOptional:
      type: http
      scheme: bearer
      description: Bearer Authentication

````